## bladerf 0.2018.10~rc1

=== hdl/fpga/platforms/common/bladerf/software/bladeRF_nios/Makefile ===
#------------------------------------------------------------------------------
#              VARIABLES TO BE DEFINED BY PLATFORM MAKEFILE
#------------------------------------------------------------------------------

#  - FPGA_COMMON_DIR    : Path to fpga_common
#  - LIBBLADERF_DIR     : Path to libbladeRF
#  - BLADERF_COMMON_DIR : Path to common bladeRF_nios dir
#  - NIOS_BUILD_OUTDIR  : Path to place the Nios build products
#  - MEM_INIT_DIR       : Path to place the mem_init build products
#  - BSP_BUILD_OUTDIR   : Path where BSP build products are located
#  - QUARTUS_OUTDIR     : Path where Quartus build products are located
#
# Can opionally define these other variables
#  - ALT_INCLUDE_DIRS
#  - C_SRCS

#------------------------------------------------------------------------------
#              VARIABLES APPENDED TO BY INCLUDED MAKEFILE FRAGMENTS
#------------------------------------------------------------------------------

# List of include directories for -I compiler option (-I added when used).
# Includes the BSP.
ALT_INCLUDE_DIRS += -I $(BLADERF_COMMON_DIR)/src \
                    -I $(FPGA_COMMON_DIR)/include \
                    -I $(LIBBLADERF_DIR)/include

# List of library directories for -L linker option (-L added when used).
# Includes the BSP.
ALT_LIBRARY_DIRS :=

# List of library names for -l linker option (-l added when used).
# Includes the BSP.
ALT_LIBRARY_NAMES :=

# List of library names for -msys-lib linker option (-msys-lib added when used).
# These are libraries that might be located in the BSP and depend on the BSP
# library, or vice versa
ALT_BSP_DEP_LIBRARY_NAMES :=

# List of dependencies for the linker.  This is usually the full pathname
# of each library (*.a) file.
# Includes the BSP.
ALT_LDDEPS :=

# List of root library directories that support running make to build them.
# Includes the BSP and any ALT libraries.
MAKEABLE_LIBRARY_ROOT_DIRS :=

# Generic flags passed to the compiler for different types of input files.
ALT_CFLAGS := -DBLADERF_NIOS_BUILD
ALT_CXXFLAGS :=
ALT_CPPFLAGS :=
ALT_ASFLAGS :=
ALT_LDFLAGS :=


#------------------------------------------------------------------------------
#                         The adjust-path macro
#
# If COMSPEC/ComSpec is defined, Make is launched from Windows through
# Cygwin.  The adjust-path macro converts absolute windows paths into
# unix style paths (Example: c:/dir -> /c/dir). This will ensture
# paths are readable by GNU Make.
#
# If COMSPEC/ComSpec is not defined, Make is launched from linux, and no
# adjustment is necessary
#
#------------------------------------------------------------------------------

ifndef COMSPEC
ifdef ComSpec
COMSPEC = $(ComSpec)
endif # ComSpec
endif # COMSPEC

ifdef COMSPEC # if Windows OS

ifeq ($(MAKE_VERSION),3.81)
#
# adjust-path/adjust-path-mixed for Mingw Gnu Make on Windows
#
# Example Usage:
# $(call adjust-path,c:/aaa/bbb) => /c/aaa/bbb
# $(call adjust-path-mixed,/c/aaa/bbb) => c:/aaa/bbb
# $(call adjust-path-mixed,/cygdrive/c/aaa/bbb) => c:/aaa/bbb
#

#
# adjust-path
#  - converts back slash characters into forward slashes
#  - if input arg ($1) is an empty string then return the empty string
#  - if input arg ($1) does not contain the string ":/", then return input arg
#  - using sed, convert mixed path [c:/...] into mingw path [/c/...]
define adjust-path
$(strip \
$(if $1,\
$(if $(findstring :/,$(subst \,/,$1)),\
$(shell echo $(subst \,/,$1) | sed -e 's,^\([a-zA-Z]\):/,/\1/,'),\
$(subst \,/,$1))))
endef

#
# adjust-path-mixed
#  - converts back slash characters into forward slashes
#  - if input arg ($1) is an empty string then return the empty string
#  - if input arg ($1) does not begin with a forward slash '/' char, then
#    return input arg
#  - using sed, convert mingw path [/c/...] or cygwin path [/c/cygdrive/...]
#    into a mixed path [c:/...]
define adjust-path-mixed
$(strip \
$(if $1,\
$(if $(findstring $(subst \,/,$1),$(patsubst /%,%,$(subst \,/,$1))),\
$(subst \,/,$1),\
$(shell echo $(subst \,/,$1) | sed -e 's,^/cygdrive/\([a-zA-Z]\)/,\1:/,' -e 's,^/\([a-zA-Z]\)/,\1:/,'))))
endef

else # MAKE_VERSION != 3.81 (MAKE_VERSION == 3.80 or MAKE_VERSION == 3.79)
#
#  adjust-path for Cygwin Gnu Make
# $(call adjust-path,c:/aaa/bbb) = /cygdrive/c/aaa/bbb
# $(call adjust-path-mixed,/cygdrive/c/aaa/bbb) = c:/aaa/bbb
#
adjust-path = $(if $1,$(shell cygpath -u "$1"),)
adjust-path-mixed = $(if $1,$(shell cygpath -m "$1"),)
endif

else # !COMSPEC

adjust-path = $1
adjust-path-mixed = $1

endif # COMSPEC


#vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
#                           GENERATED SETTINGS START                         v
#vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv

#START GENERATED
ACTIVE_BUILD_CONFIG := default
BUILD_CONFIGS := default

# The following TYPE comment allows tools to identify the 'type' of target this
# makefile is associated with.
# TYPE: APP_MAKEFILE

# This following VERSION comment indicates the version of the tool used to
# generate this makefile. A makefile variable is provided for VERSION as well.
# ACDS_VERSION: 12.1sp1
ACDS_VERSION := 12.1sp1

# This following BUILD_NUMBER comment indicates the build number of the tool
# used to generate this makefile.
# BUILD_NUMBER: 243

# Define path to the application ELF.
# It may be used by the makefile fragments so is defined before including them.
#
ELF := $(NIOS_BUILD_OUTDIR)/bladeRF_nios.elf

# Paths to C, C++, and assembly source files.
C_SRCS += $(BLADERF_COMMON_DIR)/src/devices.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_8x8.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_8x16.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_8x32.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_8x64.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_16x64.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_32x32.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_retune.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/pkt_legacy.c
C_SRCS += $(BLADERF_COMMON_DIR)/src/devices_sim.c
C_SRCS += $(FPGA_COMMON_DIR)/src/lms.c
C_SRCS += $(FPGA_COMMON_DIR)/src/band_select.c
CXX_SRCS :=
ASM_SRCS :=


# Path to root of object file tree.
OBJ_ROOT_DIR := $(NIOS_BUILD_OUTDIR)/obj

# Options to control objdump.
CREATE_OBJDUMP := 1
OBJDUMP_INCLUDE_SOURCE := 1
OBJDUMP_FULL_CONTENTS := 0

# Options to enable/disable optional files.
CREATE_ELF_DERIVED_FILES := 0
CREATE_LINKER_MAP := 1

# Common arguments for ALT_CFLAGSs
APP_CFLAGS_DEFINED_SYMBOLS :=
APP_CFLAGS_UNDEFINED_SYMBOLS :=
APP_CFLAGS_OPTIMIZATION := -Os
APP_CFLAGS_DEBUG_LEVEL := -g
APP_CFLAGS_WARNINGS := -Wall -Wextra -Wno-unused-parameter
APP_CFLAGS_USER_FLAGS :=

APP_ASFLAGS_USER :=
APP_LDFLAGS_USER :=

# Linker options that have default values assigned later if not
# assigned here.
LINKER_SCRIPT :=
CRT0 :=
SYS_LIB :=

# Define path to the root of the BSP.
BSP_ROOT_DIR := $(BSP_BUILD_OUTDIR)

# List of application specific include directories, library directories and library names
APP_INCLUDE_DIRS :=
APP_LIBRARY_DIRS :=
APP_LIBRARY_NAMES :=

# Pre- and post- processor settings.
BUILD_PRE_PROCESS :=
BUILD_POST_PROCESS :=

QUARTUS_PROJECT_DIR := $(QUARTUS_OUTDIR)


#END GENERATED

#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
#                            GENERATED SETTINGS END                           ^
#^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^


#------------------------------------------------------------------------------
#                           DEFAULT TARGET
#------------------------------------------------------------------------------

# Define the variable used to echo output if not already defined.
ifeq ($(ECHO),)
ECHO := echo
endif

# Put "all" rule before included makefile fragments because they may
# define rules and we don't want one of those to become the default rule.
.PHONY : all

all:
	@$(ECHO) [$(APP_NAME) build complete]

all : build_pre_process libs app build_post_process


#------------------------------------------------------------------------------
#                 VARIABLES DEPENDENT ON GENERATED CONTENT
#------------------------------------------------------------------------------

# Define object file directory per build configuration
CONFIG_OBJ_DIR := $(OBJ_ROOT_DIR)/$(ACTIVE_BUILD_CONFIG)

ifeq ($(BSP_ROOT_DIR),)
$(error Edit Makefile and provide a value for BSP_ROOT_DIR)
endif

ifeq ($(wildcard $(BSP_ROOT_DIR)),)
$(error BSP directory does not exist: $(BSP_ROOT_DIR))
endif

# Define absolute path to the root of the BSP.
ABS_BSP_ROOT_DIR := $(call adjust-path-mixed,$(shell cd "$(BSP_ROOT_DIR)"; pwd))

# Include makefile fragments.  Define variable ALT_LIBRARY_ROOT_DIR before
# including each makefile fragment so that it knows the path to itself.
BSP_INCLUDE_FILE := $(BSP_ROOT_DIR)/public.mk
ALT_LIBRARY_ROOT_DIR := $(BSP_ROOT_DIR)
include $(BSP_INCLUDE_FILE)
# C2H will need this to touch the BSP public.mk and avoid the sopc file
# out-of-date error during a BSP make
ABS_BSP_INCLUDE_FILE := $(ABS_BSP_ROOT_DIR)/public.mk


ifneq ($(WARNING.SMALL_STACK_SIZE),)
# This WARNING is here to protect you from unknowingly using a very small stack
# If the warning is set, increase your stack size or enable the BSP small stack
# setting to eliminate the warning
$(warning WARNING: $(WARNING.SMALL_STACK_SIZE))
endif


# If the BSP public.mk indicates that ALT_SIM_OPTIMIZE is set, rename the ELF
# by prefixing it with RUN_ON_HDL_SIMULATOR_ONLY_.
ifneq ($(filter -DALT_SIM_OPTIMIZE,$(ALT_CPPFLAGS)),)
ELF := RUN_ON_HDL_SIMULATOR_ONLY_$(ELF)
endif

# If the BSP public.mk indicates that ALT_PROVIDE_GMON is set, add option to
# download_elf target
ifneq ($(filter -DALT_PROVIDE_GMON,$(ALT_CPPFLAGS)),)
GMON_OUT_FILENAME := gmon.out
WRITE_GMON_OPTION := --write-gmon $(GMON_OUT_FILENAME)
endif

# Name of ELF application.
APP_NAME := $(basename $(ELF))

# Set to defaults if variables not already defined in settings.
ifeq ($(LINKER_SCRIPT),)
LINKER_SCRIPT := $(BSP_LINKER_SCRIPT)
endif
ifeq ($(CRT0),)
CRT0 := $(BSP_CRT0)
endif
ifeq ($(SYS_LIB),)
SYS_LIB := $(BSP_SYS_LIB)
endif

OBJDUMP_NAME := $(APP_NAME).objdump
OBJDUMP_FLAGS := --disassemble --syms --all-header
ifeq ($(OBJDUMP_INCLUDE_SOURCE),1)
OBJDUMP_FLAGS += --source
endif
ifeq ($(OBJDUMP_FULL_CONTENTS),1)
OBJDUMP_FLAGS += --full-contents
endif

# Create list of linker dependencies (*.a files).
APP_LDDEPS := $(ALT_LDDEPS) $(LDDEPS)

# Take lists and add required prefixes.
APP_INC_DIRS := $(addprefix -I, $(ALT_INCLUDE_DIRS) $(APP_INCLUDE_DIRS) $(INC_DIRS))
ASM_INC_PREFIX := -Wa,-I
APP_ASM_INC_DIRS := $(addprefix $(ASM_INC_PREFIX), $(ALT_INCLUDE_DIRS) $(APP_INCLUDE_DIRS) $(INC_DIRS))
APP_LIB_DIRS := $(addprefix -L, $(ALT_LIBRARY_DIRS) $(APP_LIBRARY_DIRS) $(LIB_DIRS))
APP_LIBS := $(addprefix -l, $(ALT_LIBRARY_NAMES) $(APP_LIBRARY_NAMES) $(LIBS))

ifneq ($(AVOID_NIOS2_GCC3_OPTIONS),)

#
# Avoid Nios II GCC 3.X options.
#

# Detect if small newlib C library is requested.
# If yes, remove the -msmallc option because it is
# now handled by other means.
ifneq ($(filter -msmallc,$(ALT_LDFLAGS)),)
	ALT_LDFLAGS := $(filter-out -msmallc,$(ALT_LDFLAGS))
	ALT_C_LIBRARY := smallc
else
	ALT_C_LIBRARY := c
endif

# Put each BSP dependent library in a group to avoid circular dependencies.
APP_BSP_DEP_LIBS := $(foreach l,$(ALT_BSP_DEP_LIBRARY_NAMES),-Wl,--start-group -l$(ALT_C_LIBRARY) -lgcc -l$(l) -Wl,--end-group)

else # !AVOID_NIOS2_GCC3_OPTIONS

#
# Use Nios II GCC 3.X options.
#
APP_BSP_DEP_LIBS := $(addprefix -msys-lib=, $(ALT_BSP_DEP_LIBRARY_NAMES))

endif # !AVOID_NIOS2_GCC3_OPTIONS

# Arguments for the C preprocessor, C/C++ compiler, assembler, and linker.
APP_CFLAGS := $(APP_CFLAGS_DEFINED_SYMBOLS) \
              $(APP_CFLAGS_UNDEFINED_SYMBOLS) \
              $(APP_CFLAGS_OPTIMIZATION) \
              $(APP_CFLAGS_DEBUG_LEVEL) \
              $(APP_CFLAGS_WARNINGS) \
              $(APP_CFLAGS_USER_FLAGS) \
              $(ALT_CFLAGS) \
              $(CFLAGS)

# Arguments only for the C++ compiler.

=== debian/changelog ===
bladerf (0.2018.10~rc1-2) experimental; urgency=medium

  * place new installer packages in contrib

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Dec 2018 21:11:18 -0500

bladerf (0.2018.10~rc1-1) experimental; urgency=medium

  * New upstream to experimental due to soversion bump
  * New libbladerf-doc and python3-bladerf packages
  * libbladerf2 uses soversion in all paths
  * libbladerf-dev now includes patch to provide modern CMake targets

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 09 Dec 2018 19:01:06 -0500

bladerf (0.2018.10~rc1) unstable; urgency=low

  * Release candidate 1 for 2018.10. Please see the top-level CHANGELOG file,
    as well as the sub-project CHANGELOG files, for more details.
  * control: fix bladeRF 2.0 Micro xA4/xA9 nomenclature
  * libbladerf-doc: new package, containing doxygen-generated libbladeRF API
    documentation
  * FPGA bitstream v0.9.0, FX3 FW v2.3.1, libbladeRF v2.1.0, bladeRF-cli
    v1.7.0

 -- Rey Sabrina Tucker (Nuand LLC) <rey.tucker@nuand.com>  Tue, 30 Oct 2018 17:06:11 -0400

bladerf (2018.08) unstable; urgency=low

  * debian: update packaging files (#596)
  * Improve bladerf_gain_mode documentation (#595)
  * Don't warn about libusb version on FreeBSD (#594)
  * FPGA bitstream v0.7.3, FX3 FW v2.2.0, libbladeRF v2.0.2, bladeRF-cli
    v1.6.1

 -- Rey Sabrina Tucker (Nuand LLC) <rey.tucker@nuand.com>  Thu, 30 Aug 2018 18:01:12 -0400

bladerf (2018.08-rc3) unstable; urgency=low

  * Release candidate 3 for the 2018.08 release
  * Detect and handle a bladeRF Micro that is running old firmware to allow
    re-flashing without recovery mode (#578)
  * bladeRF1: bladerf_set_gain_mode returning BLADERF_ERR_UNSUPPORTED is no
    longer fatal (#542)
  * bladeRF1: only check AGC DC LUT setting when enabling AGC
  * bladeRF1: typo fix in set_tx_gain (#580)
  * xb200: check for null xb_data before dereferencing it (#575)
  * bladeRF2: cache factory trimdac value at initialization; preserve trimdac
    disable state on bladerf2_trim_dac_write (#582)
  * bladeRF2: bladerf_clock_select: replace CLOCK_SELECT_VCTCXO with
    CLOCK_SELECT_ONBOARD for clarity (#585)
  * Improvements to the release notes (#583)
  * bladeRF-cli: Add 200 ms delay before probing PLL lock status (#587)
  * "set loopback" help dialog aware of board type (#566)
  * FPGA bitstream v0.7.3, FX3 FW v2.2.0, libbladeRF v2.0.1, bladeRF-cli
    v1.6.1

 -- Rey Tucker <rey.tucker@nuand.com>  Fri, 24 Aug 2018 16:19:32 -0400

bladerf (2018.08-rc2) unstable; urgency=low

  * Release candidate 2 for the 2018.08 release
  * Fix builds on 32-bit architectures
  * Fix builds on FreeBSD
  * Fix Debian/Ubuntu packaging

 -- Rey Tucker <pgp@reytucker.us>  Thu, 16 Aug 2018 19:55:00 -0400

bladerf (2018.08-rc1) unstable; urgency=low

  * Release candidate 1 for the 2018.08 release
  * Adds support for the bladeRF 2.0 Micro
  * Major version number change: libbladerf1 is now libbladerf2
  * FPGA bitstream v0.7.3, FX3 FW v2.2.0, libbladeRF v2.0.0, bladeRF-cli v1.6.0

 -- Rey Tucker <pgp@reytucker.us>  Wed, 15 Aug 2018 21:07:42 -0400

=== debian/control ===
Source: bladerf
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>=10~),
               dh-python,
               doxygen,
               help2man,
               libedit-dev,
               libncurses5-dev,
               libtecla-dev | libtecla1-dev,
               libusb-1.0-0-dev (>= 1.0.12) [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
               pandoc,
               pkg-config,
               python3-dev,
               python3-setuptools
Standards-Version: 4.1.4
Section: comm
Homepage: https://www.Nuand.com/bladeRF
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-bladerf
Vcs-Git: https://salsa.debian.org/bottoms/pkg-bladerf.git

Package: libbladerf2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: bladerf
Suggests: bladerf-firmware, bladerf-fpga
Description: Nuand bladeRF software-defined radio device
 The Nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides the host library.

Package: libbladerf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbladerf2 (= ${binary:Version}),
         libc6-dev | libc-dev,
         ${misc:Depends}
Description: Nuand bladeRF software-defined radio device (header files)
 The Nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package contains the header files required for compiling bladeRF
 applications.

Package: libbladerf-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}
Description: Nuand bladeRF software-defined radio device (API documentation)
 The Nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package contains libbladeRF API documentation.

Package: bladerf
Architecture: any
Multi-Arch: foreign
Depends: libbladerf2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: bladerf-host
Conflicts: bladerf-host
Replaces: bladerf-host
Description: Nuand bladeRF software-defined radio device (tools)
 The Nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides command-line tools for controlling the bladeRF.

Package: python3-bladerf
Architecture: any
Multi-Arch: foreign
Depends: libbladerf2 (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Nuand bladeRF software-defined radio device (tools)
 The Nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides Python bindings for controlling the bladeRF.

Package: bladerf-fpga-hostedx40
Section: contrib/comm
Architecture: all
Depends: ca-certificates, libbladerf2, wget, ${misc:Depends}, ${shlibs:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: Nuand bladeRF FPGA bitstream downloader (hostedx40)
 This empty package will, at the time of installation, download an appropriate
 FPGA bitstream for using the Nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://Nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF x40 with the Altera Cyclone IV
 EP4CE40 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedx115
Section: contrib/comm
Architecture: all
Depends: ca-certificates, libbladerf2, wget, ${misc:Depends}, ${shlibs:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: Nuand bladeRF FPGA bitstream downloader (hostedx115)
 This empty package will, at the time of installation, download an appropriate
 FPGA bitstream for using the Nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://Nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF x115 with the Altera Cyclone IV
 EP4CE115 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedxa4
Section: contrib/comm
Architecture: all
Depends: wget, ${misc:Depends}, ${shlibs:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: Nuand bladeRF FPGA bitstream downloader (hostedxA4)
 This empty package will, at the time of installation, download an appropriate
 FPGA bitstream for using the Nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 https://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF 2.0 Micro xA4 with the Altera Cyclone V
 5CEBA4 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedxa9
Section: contrib/comm
Architecture: all
Depends: wget, ${misc:Depends}, ${shlibs:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: Nuand bladeRF FPGA bitstream downloader (hostedxA9)
 This empty package will, at the time of installation, download an appropriate
 FPGA bitstream for using the Nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 https://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF 2.0 Micro xA9 with the Altera Cyclone V
 5CEBA9 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-firmware-fx3
Section: contrib/comm
Architecture: all
Depends: ca-certificates, libbladerf2, wget, ${misc:Depends}, ${shlibs:Depends}
Recommends: bladerf
Suggests: bladerf-fpga
Provides: bladerf-firmware
Description: Nuand bladeRF firmware downloader (FX3)
 This empty package will, at the time of installation, download an appropriate
 firmware image for using the Nuand bladeRF with a Cypress FX3 USB
 controller.  The image will be downloaded from http://Nuand.com/fx3/
 and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream will work for either the Nuand bladeRF x40 or the x115.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim:noet

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
py3default = $(subst .,,$(shell py3versions -dv))

# Test to see if we're a snapshot build by looking for the word
# "SNAPSHOT" in our version.  If so, infer our current version and inject
# it into the build process.
DEB_VERSION_STRING ?= $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2-)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring SNAPSHOT,$(DEB_VERSION_STRING)))
	# Format is like: 0.9.0+1SNAPSHOT20131027041813-gitedc468d~saucy
	DVS_SPLIT := $(subst ~, ,$(subst -git, ,$(DEB_VERSION_STRING)))
	# Format is like: 0.9.0+1SNAPSHOT20131027041813 edc468d saucy
	DEB_VERSION_GITHASH := $(word 2,$(DVS_SPLIT))
	DEB_VERSION_SERIES := $(word 3,$(DVS_SPLIT))
	# Produce a version suffix like: git-edc468d-ppasaucy
	VERSION_INFO_OVERRIDE := git-$(DEB_VERSION_GITHASH)-ppa$(DEB_VERSION_SERIES)
else
	VERSION_INFO_OVERRIDE := $(DEB_VERSION_STRING)
endif

# For tagged PPA release builds, we have a slightly different format...
ifneq (,$(findstring 1ppa,$(DEB_VERSION_STRING)))
	# Format is like: 2014.09-rc1-1ppa1~saucy
	DVS_SPLIT := $(subst ~, ,$(subst -1ppa, ,$(DEB_VERSION_STRING)))
	# Format is like: 2014.09-rc1 1 saucy
	DEB_VERSION_TAG := $(word 1,$(DVS_SPLIT))
	DEB_VERSION_BUILD := $(word 2,$(DVS_SPLIT))
	DEB_VERSION_SERIES := $(word 3,$(DVS_SPLIT))
	# Produce a version suffix like: 2014.09-rc1-1-ppasaucy
	VERSION_INFO_OVERRIDE := $(DEB_VERSION_TAG)-$(DEB_VERSION_BUILD)-ppa$(DEB_VERSION_SERIES)
endif

override_dh_acc:
	- dh_acc $@
	- cat logs/libbladerf-dev/*/log.txt

override_dh_auto_configure:
	dh_auto_configure -- 	-DVERSION_INFO_OVERRIDE:STRING=$(VERSION_INFO_OVERRIDE) \
							-DCMAKE_BUILD_TYPE=RelWithDebInfo \
							-DCMAKE_INSTALL_DOCDIR="share/doc/libbladerf-doc" \
							-DENABLE_HOST_BUILD=ON \
							-DENABLE_LIBTECLA=ON \
							-DENABLE_LIBEDIT=ON \
							-DENABLE_FX3_BUILD=OFF \
							-DBUILD_DOCUMENTATION=ON \
							-DUDEV_RULES_PATH=/lib/udev/rules.d

override_dh_auto_build:
	dh_auto_build
	python3 host/libraries/libbladeRF_bindings/python/setup.py build

override_dh_auto_install:
	dh_auto_install
	# Use locally installed Mathjax.js
	(cd debian/tmp/usr/share/doc/libbladerf-doc/html && ln -s /usr/share/javascript/mathjax/MathJax.js MathJax.js)
	(cd debian/tmp/usr/share/doc/libbladerf-doc/html && sed --in-place 's_http://cdn.mathjax.org/mathjax/latest/MathJax.js_MathJax.js_' *.html)
	# library soversion named udev rules
	mv debian/tmp/lib/udev/rules.d/88-nuand.rules debian/tmp/lib/udev/rules.d/88-libbladerf2.rules
	# Python3 bindings
	python3 host/libraries/libbladeRF_bindings/python/setup.py install --root=debian/tmp/ --prefix=/usr
	# per lintian
	rm -f host/examples/bladeRF-cli/sync_trx/.gitignore

%:
	dh $@ --with python3
